#include<iostream>
#include<cmath>
using namespace std;
int main(){
	long x1,x2,y1,y2,br;
	cin>>x1>>y1;
	cin>>x2>>y2;
	if(x1==x2 || y1==y2)br=2;
	else if(abs(x1-x2)==abs(y1-y2))br=1;
	else br=0;
	cout<<br;
	return 0;
}